> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.redpincompany.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.redpincompany.com/_mcp/server.

# Get Recipients

GET https://sandbox.currenciesdirect.com/v2/customers/{customer_id}/recipients

Get the details of all active recipients for a customer.


Reference: https://docs.redpincompany.com/api-reference/customers/api-integration/recipients/get-recipients

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 Bearer token authentication. This API uses OAuth 2.0 Client Credentials flow. Please refer to the [Authentication](/api-guide/getting-started/authentication#oauth-20-authentication) section for detailed information on how to obtain and use your OAuth credentials.

## Servers

- `https://sandbox.currenciesdirect.com` (Sandbox, default)
- `https://api.redpincompany.com` (Production)

## Request

### Path parameters

- `customer_id` (string, required) — A unique identifier representing the customer for whom the recipient records are being retrieved.

### Query parameters

- `page` (integer, optional) — The page number to retrieve. Use this to navigate through paginated results. Defaults to 1 if not specified.
- `limit` (integer, optional) — The maximum number of records to return per page. Defaults to 50 if not specified.

## Response

### 200

A recipient or recipients were found and their data is returned in the response body.

- `recipients` (list of GetRecipientsResponseRecipientsItems, required) — Array for the recipients.
- `meta_data` (GetRecipientsResponseMetaData, required) — Container for metadata.

## Errors

### 400 Bad Request Error

Bad request - invalid parameters

- `code` (string, required)
- `description` (string, required) — Human-readable error description
- `type` (enum, optional) — Category or type of the error. - `VALIDATION_ERROR`: Error due to invalid input data or format - `AUTHORIZATION_ERROR`: Error related to insufficient permissions - `SYSTEM_ERROR`: Internal system or server errors - `RESOURCE_ERROR`: Error related to resource availability - `BUSINESS_ERROR`: Error related to business logic violations - `DATA_ERROR`: Error related to data inconsistencies or duplication
  - Allowed values: `VALIDATION_ERROR`, `AUTHORIZATION_ERROR`, `SYSTEM_ERROR`, `RESOURCE_ERROR`, `BUSINESS_ERROR`, `DATA_ERROR`
- `field` (string, optional)
- `details` (map from string to any, optional) — Additional details about the error
- `timestamp` (datetime, optional)

### 401 Unauthorized Error

Unauthorized - invalid authorization header

- `code` (string, required)
- `description` (string, required) — Human-readable error description
- `type` (enum, optional) — Category or type of the error. - `VALIDATION_ERROR`: Error due to invalid input data or format - `AUTHORIZATION_ERROR`: Error related to insufficient permissions - `SYSTEM_ERROR`: Internal system or server errors - `RESOURCE_ERROR`: Error related to resource availability - `BUSINESS_ERROR`: Error related to business logic violations - `DATA_ERROR`: Error related to data inconsistencies or duplication
  - Allowed values: `VALIDATION_ERROR`, `AUTHORIZATION_ERROR`, `SYSTEM_ERROR`, `RESOURCE_ERROR`, `BUSINESS_ERROR`, `DATA_ERROR`
- `field` (string, optional)
- `details` (map from string to any, optional) — Additional details about the error
- `timestamp` (datetime, optional)

### 404 Not Found Error

Customer not found

- `code` (string, required)
- `description` (string, required) — Human-readable error description
- `type` (enum, optional) — Category or type of the error. - `VALIDATION_ERROR`: Error due to invalid input data or format - `AUTHORIZATION_ERROR`: Error related to insufficient permissions - `SYSTEM_ERROR`: Internal system or server errors - `RESOURCE_ERROR`: Error related to resource availability - `BUSINESS_ERROR`: Error related to business logic violations - `DATA_ERROR`: Error related to data inconsistencies or duplication
  - Allowed values: `VALIDATION_ERROR`, `AUTHORIZATION_ERROR`, `SYSTEM_ERROR`, `RESOURCE_ERROR`, `BUSINESS_ERROR`, `DATA_ERROR`
- `field` (string, optional)
- `details` (map from string to any, optional) — Additional details about the error
- `timestamp` (datetime, optional)

## Types

### GetRecipientsResponseRecipientsItems

- `recipient_id` (string, required) — The recipient id used to identify this recipient.
- `name` (string, required) — Name of the recipient as per their bank records.
- `type` (enum, required) — Organisational type of a recipient; whether an Individual or Corporate.
  - Allowed values: `Individual`, `Corporate`
- `country_code` (string, required) — Three-letter Country Code of the Recipient in [ISO 3166-1 Alpha-3 Country Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3)
- `nick_name` (string, required) — Optional nickname for the recipient. Useful for quick searches and display purposes.
- `email` (string, required) — Recipient's email id.
- `phone_number` (string, required) — Recipient's phone number.
- `mobile_number` (string, required) — Recipient's mobile number.
- `client_reference_id` (string, required) — Unique reference ID assigned by the customer when the recipient was first registered.
- `payment_reference` (string, required) — It is an optional field. Some accounts may require a payment reference. This reference should be passed in future payments.
- `customer_own_account` (enum, required) — Indicates whether this recipient is the customer's own account.
  - Allowed values: `yes`, `no`
- `address` (GetRecipientsResponseRecipientsItemsAddress, required) — Recipient's postal address.
- `recipient_bank_details` (GetRecipientsResponseRecipientsItemsRecipientBankDetails, required) — Bank details associated with the recipient, returned based on the format applicable to their country and bank. The following base fields are typically present: - `currency_code`: [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) three-letter currency code of the recipient's bank account (e.g., "AED"). - `bank_name`: Name of the recipient's bank. - `country_code`: [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) three-letter country code of the recipient's bank. Based on the recipient's country and bank, additional details will be returned to represent their account details:
- `status` (enum, required) — Status of this recipient.
  - Allowed values: `ACTIVE`, `INACTIVE`
- `last_updated` (datetime, required) — Last modification timestamp.
- `additional_details` (GetRecipientsResponseRecipientsItemsAdditionalDetails, optional) — Additional details for the recipient.

### GetRecipientsResponseMetaData

Container for metadata.

- `next_page` (string, required) — URL to next page of data. This field is omitted for the last page.
- `previous_page` (string, required) — URL to the previous page of data. This field is omitted for the first page.
- `total_pages` (string, required) — Number of pages of available data.
- `total_records` (string, required) — Number of records of available data.

### GetRecipientsResponseRecipientsItemsAddress

Recipient's postal address.

- `address_line` (string, required) — First line of the postal address of the recipient.
- `city` (string, required) — Recipient's city, town, or village.
- `state` (string, required) — Recipient's state, country, province or a prefecture.
- `post_code` (string, required) — Recipient's postal code, zip code or pin code.

### GetRecipientsResponseRecipientsItemsRecipientBankDetails

Bank details associated with the recipient, returned based on the format applicable to their country and bank. The following base fields are typically present: - `currency_code`: [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) three-letter currency code of the recipient's bank account (e.g., "AED"). - `bank_name`: Name of the recipient's bank. - `country_code`: [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) three-letter country code of the recipient's bank. Based on the recipient's country and bank, additional details will be returned to represent their account details:

- `currency_code` (string, required) — Recipient's Currency Code as per [ISO4217](https://en.wikipedia.org/wiki/ISO_4217).
- `bank_name` (string, required) — Name of recipient's Bank.
- `country_code` (string, required) — Three-letter [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) country code of the recipient's bank
- `iban` (string, required) — Recipient IBAN as per their bank records.
- `account_number` (string, required) — Recipient's bank account number as per their statement.
- `swift_code` (string, required) — Swift Code of the recipient's bank account.
- `routing_code_type` (enum, required) — Recipient routing code type: * IFSC - Indian Financial System Code, * SORT - Sort Code for British and Irish banks, * BRANCH - Branch Code, * CNAPS - China National Advanced Payment System, * ABA - American Bankers Association used in the United States, * BSB - Bank State Branch used in Australia, * Transit - used for Canada.
  - Allowed values: `IFSC`, `SORT`, `BRANCH`, `CNAPS`, `ABA`, `BSB`, `Transit`
- `routing_code_value` (string, required) — Routing Code of the recipient's bank account.

### GetRecipientsResponseRecipientsItemsAdditionalDetails

Additional details for the recipient.

- `tax_id` (string, optional) — Tax identification number or registration number for the recipient.

## Examples

**Response**

```json
{
  "recipients": [
    {
      "recipient_id": "1668758",
      "name": "Bob Nighy Mashreq-13",
      "type": "Corporate",
      "country_code": "ARE",
      "nick_name": "string",
      "email": "string",
      "phone_number": "string",
      "mobile_number": "string",
      "client_reference_id": "recepient-123",
      "payment_reference": "string",
      "customer_own_account": "no",
      "address": {
        "address_line": "UMNIYATI ST",
        "city": "AL ASAYEL STREET 345",
        "state": "Dubai",
        "post_code": "1250"
      },
      "recipient_bank_details": {
        "currency_code": "AED",
        "bank_name": "MashreqBank PSC",
        "country_code": "ARE",
        "iban": "GB29NWBK60161331926819",
        "account_number": "12345678",
        "swift_code": "NWBKGB2L",
        "routing_code_type": "SORT",
        "routing_code_value": "601613"
      },
      "status": "ACTIVE",
      "last_updated": "2025-07-10T06:41:26Z",
      "additional_details": {
        "tax_id": "12345678"
      }
    }
  ],
  "meta_data": {
    "next_page": "string",
    "previous_page": "string",
    "total_pages": "26",
    "total_records": "26"
  }
}
```

**SDK Code**

```python
import requests

url = "https://sandbox.currenciesdirect.com/v2/customers/cust_123456789/recipients"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://sandbox.currenciesdirect.com/v2/customers/cust_123456789/recipients';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.currenciesdirect.com/v2/customers/cust_123456789/recipients"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://sandbox.currenciesdirect.com/v2/customers/cust_123456789/recipients")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sandbox.currenciesdirect.com/v2/customers/cust_123456789/recipients")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sandbox.currenciesdirect.com/v2/customers/cust_123456789/recipients', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://sandbox.currenciesdirect.com/v2/customers/cust_123456789/recipients");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.currenciesdirect.com/v2/customers/cust_123456789/recipients")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```